# This RPM spec file exists primarily to enable CI/CD pipelines and automatic
# testing of built RPMs. This RPM can be used as a suitable baseline for a
# proper distribution package, but changes should be made to suit the needs of
# the package.

%define debug_package %{nil}


Name:    rhc
Version: 0.2.5
Release: 0.50.git.1175d1c%{?dist}
Epoch:   1
Summary: Client for registering Red Hat Enterprise Linux systems
License: GPL-3.0-only
URL:     https://github.com/redhatinsights/rhc

Source0: %{name}-%{version}-0.50.git.1175d1c.tar.gz

ExclusiveArch: %{go_arches}

Requires:      insights-client
Requires:      yggdrasil-worker-package-manager
Requires:      subscription-manager

BuildRequires: golang
BuildRequires: dbus-devel
BuildRequires: systemd-devel
BuildRequires: systemd
BuildRequires: yggdrasil >= 0.4


%description
rhc is a client that registers a system with RHSM and activates the Red Hat yggd
MQTT client.


%prep
%setup -c


%build
cd %{name}-%{version}-0.50.git.1175d1c
make PREFIX=%{_prefix} \
     SYSCONFDIR=%{_sysconfdir} \
     LOCALSTATEDIR=%{_localstatedir} \
     SHORTNAME=rhc \
     LONGNAME=rhc \
     PKGNAME=rhc \
     TOPICPREFIX=redhat/insights \
     VERSION=%{version} \
     DATAHOST=cert.cloud.redhat.com \
     SERVICENAME="yggdrasil" \
     'PROVIDER=Red Hat'


%install
cd %{name}-%{version}-0.50.git.1175d1c
make PREFIX=%{_prefix} \
     SYSCONFDIR=%{_sysconfdir} \
     LOCALSTATEDIR=%{_localstatedir} \
     DESTDIR=%{buildroot} \
     SHORTNAME=rhc \
     LONGNAME=rhc \
     PKGNAME=rhc \
     TOPICPREFIX=redhat/insights \
     VERSION=%{version} \
     DATAHOST=cert.cloud.redhat.com \
     SERVICENAME="yggdrasil" \
     'PROVIDER=Red Hat' \
     install

%files
%doc %{name}-%{version}-0.50.git.1175d1c/README.md
%{_bindir}/rhc
%{_datadir}/bash-completion/completions/*
%{_mandir}/man1/*


%changelog
